#ifndef ULINUX_NAMESPACE_H
#define ULINUX_NAMESPACE_H
#define l ulinux_l
#define i ulinux_i
#define ul ulinux_ul
#define u8 ulinux_u8
#define u16 ulinux_u16
#define s16 ulinux_s16
#define u32 ulinux_u32
#define u64 ulinux_u64
#define sockaddr_in ulinux_sockaddr_in
#define AF_INET ULINUX_AF_INET
#define INADDR_ANY ULINUX_INADDR_ANY
#define atomic_u8_t ulinux_atomic_u8_t
#define msg_hdr ulinux_msg_hdr
#define CMSG_SPACE ULINUX_CMSG_SPACE
#define EINTR ULINUX_EINTR
#define EAGAIN ULINUX_EAGAIN
#define memset ulinux_memset
#define SOL_SOCKET ULINUX_SOL_SOCKET
#define SCM_RIGHTS ULINUX_SCM_RIGHTS
#define CMSG_LEN ULINUX_CMSG_LEN
#define exit(a) ulinux_sysc(exit_group,1,a)
#define rt_sigprocmask(a,b,c,d) ulinux_sysc(rt_sigprocmask,4,a,b,c,d)
#define SIG_BLOCK ULINUX_SIG_BLOCK
#define ISERR ULINUX_ISERR
#define close(a) ulinux_sysc(close,1,a)
#define dup2(a,b) ulinux_sysc(dup2,2,a,b)
#define SIGTERM ULINUX_SIGTERM
#define signalfd4(a,b,c,d) ulinux_sysc(signalfd4,4,a,b,c,d)
#define SFD_NONBLOCK ULINUX_SFD_NONBLOCK
#define epoll_create1(a) ulinux_sysc(epoll_create1,1,a)
#define epoll_event ulinux_epoll_event
#define memset ulinux_memset
#define EPOLLET ULINUX_EPOLLET
#define EPOLLIN ULINUX_EPOLLIN
#define EPOLL_CTL_ADD ULINUX_EPOLL_CTL_ADD
#define EPOLLPRI ULINUX_EPOLLPRI
#define EPOLLERR ULINUX_EPOLLERR
#define EPOLLHUP ULINUX_EPOLLHUP
#define epoll_ctl(a,b,c,d) ulinux_sysc(epoll_ctl,4,a,b,c,d)
#define recvmsg(a,b,c) ulinux_sysc(recvmsg,3,a,b,c)
#define MSG_CTRUNC ULINUX_MSG_CTRUNC
#define CMSG_DATA ULINUX_CMSG_DATA
#define CMSG_FIRSTHDR ULINUX_CMSG_FIRSTHDR
#define atomic_u8_set ulinux_atomic_u8_set
#define signalfd_siginfo ulinux_signalfd_siginfo
#define read(a,b,c) ulinux_sysc(read,3,a,b,c)
#define epoll_event ulinux_epoll_event
#define epoll_wait(a,b,c,d) ulinux_sysc(epoll_wait,4,a,b,c,d)
#define clone(a,b,c,d,e) ulinux_sysc(clone,5,a,b,c,d,e)
#define SIGCHLD ULINUX_SIGCHLD
#define kill(a,b) ulinux_sysc(kill,2,a,b)
#define socketpair(a,b,c,d) ulinux_sysc(socketpair,4,a,b,c,d)
#define AF_UNIX ULINUX_AF_UNIX
#define SOCK_DGRAM ULINUX_SOCK_DGRAM
#define mmap(a,b,c,d,e,f) ulinux_sysc(mmap,6,a,b,c,d,e,f)
#define PROT_READ ULINUX_PROT_READ
#define PROT_WRITE ULINUX_PROT_WRITE
#define MAP_PRIVATE ULINUX_MAP_PRIVATE
#define MAP_ANONYMOUS ULINUX_MAP_ANONYMOUS
#define MAP_POPULATE ULINUX_MAP_POPULATE
#define MAP_SHARED ULINUX_MAP_SHARED
#define socket(a,b,c) ulinux_sysc(socket,3,a,b,c)
#define PF_INET ULINUX_PF_INET
#define setsockopt(a,b,c,d,e) ulinux_sysc(setsockopt,5,a,b,c,d,e)
#define SOL_SOCKET ULINUX_SOL_SOCKET
#define SO_REUSEADDR ULINUX_SO_REUSEADDR
#define bind(a,b,c) ulinux_sysc(bind,3,a,b,c)
#define listen(a,b) ulinux_sysc(listen,2,a,b)
#define str_2ipv4_blk ulinux_2ipv4_blk
#define strncmp ulinux_strncmp
#define strnlen ulinux_strnlen
#define dec2u16 ulinux_dec2u16
#define cpu2be16 ulinux_cpu2be16
#define wait4(a,b,c,d) ulinux_sysc(wait4,4,a,b,c,d)
#define WNOHANG ULINUX_WNOHANG
#define WALL ULINUX_WALL
#define ECHILD ULINUX_ECHILD
#define sendmsg(a,b,c) ulinux_sysc(sendmsg,3,a,b,c)
#define accept(a,b,c) ulinux_sysc(accept,3,a,b,c)
#define ECONNABORTED ULINUX_ECONNABORTED
#define SOCK_STREAM ULINUX_SOCK_STREAM
#define SOCK_NONBLOCK ULINUX_SOCK_NONBLOCK
#define atomic_u8_read ulinux_atomic_u8_read
#define cmsg_hdr ulinux_cmsg_hdr
#endif
